# Contributing to Substation

Thank you so much for your interest in contributing to Substation! This document contains guidelines to follow when contributing to the project.

## Code of Conduct

The Code of Conduct can be reviewed [here](CODE_OF_CONDUCT.md).

## Submitting Changes

Pull requests should be submitted using the pull request template. Changes will be validated through automation and by the project maintainers before merging to main.

## Submitting Bugs

Bugs should be submitted as issues using the issue template.

## Submitting Enhancements

Enhancements should be submitted as issues using the issue template.

## Development Environment

The project supports development through the use of [Visual Studio Code configurations](https://code.visualstudio.com/docs/remote/containers). The VS Code [development container](.devcontainer/Dockerfile) contains all packages required to develop and test changes locally before submitting pull requests.

## Testing

We rely on contributors to test changes before they are submitted as pull requests. Any components added or changed should be tested and public APIs should be supported by unit tests.
